npm publish 报错 【you or one of your dependencies are requesting a package version that is forbidden by your security policy】

npm publish 报错 【you or one of your dependencies are requesting a package version that is forbidden by your security policy】

今天在npm上准备发布包的时候,遇到一个报错,百度了一下,有人说是包名重复,于是乎改了个名字,又在网站上搜索了一下包名,发现没有重复。
再次尝试发布,依然是同样的报错,最后在stackoverflow看到,别人回答说是没有验证邮箱,试了一下,居然成功了,npm的报错提示也太坑了吧。
报错信息如下:

npm ERR! code E403
npm ERR! 403 403 Forbidden - PUT https://registry.npmjs.org/dj-dingding-auth - Forbidden
npm ERR! 403 In most cases, you or one of your dependencies are requesting
npm ERR! 403 a package version that is forbidden by your security policy.

那么下面收集了一下查询出来的这类报错可能发生的原因,大家可以一个个排查:

  • 用了淘宝镜像源 - 换成npm的源。
  • 包名重复 - 删掉之前的包,改个名字。
  • npm账户没有验证邮箱 - 验证邮箱。
  • vpn冲突 - 关掉所有vpn再次尝试。

npm撤销发布的包

npm unpublish --force
再去npm官网搜索,已经找不到这个包的信息了。

npm 发布私有包

posted @ 2021-01-26 14:48  下小朋友  阅读(1341)  评论(0编辑  收藏  举报